> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1data filescontactsupload file



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/data-files/contacts/upload-file
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/data-files/contacts/upload-file:
    post:
      tags:
        - DataFiles
      operationId: dataFiles.uploadContacts
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  contentMediaType: application/octet-stream
                  maxLength: 51200
              required:
                - file
      responses:
        '200':
          description: '`DataFileResource`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/DataFileResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    DataFileResource:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        size:
          type: integer
        status:
          type: string
        created_at:
          type: string
        created_ago:
          type: string
        columns:
          type: string
        total_rows:
          type: string
        processed_rows:
          type: string
        can_continue:
          type: string
      required:
        - id
        - name
        - size
        - status
        - created_at
        - created_ago
        - columns
        - total_rows
        - processed_rows
        - can_continue
      title: DataFileResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````